#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
    cout << "Unesite tri broja" << endl;

    string a, b, c;

    cin >> a;
    int iA = atoi(a.c_str());
    while (iA < 1)
    {
        cout << "Broj mora da bude veci od 0" << endl;
        cin >> a;
        iA = atoi(a.c_str());
    }
    cin >> b;
    int iB = atoi(b.c_str());
    while (iB < 1)
    {
        cout << "Broj mora da bude veci od 0" << endl;
        cin >> b;
        iB = atoi(b.c_str());
    }
    cin >> c;
    int iC = atoi(c.c_str());
    while (iC < 1)
    {
        cout << "Broj mora da bude veci od 0" << endl;
        cin >> c;
        iC = atoi(c.c_str());
    }

    string broj, testBroj;
    int iBroj, iTestBroj;

    broj = a+b+c;
    iBroj = atoi(broj.c_str());
    for (int i = 0; i < 5; i++)
    {
        switch (i)
        {
        case 0:
            testBroj = a+c+b;
            break;
        case 1:
            testBroj = b+a+c;
            break;
        case 2:
            testBroj = b+c+a;
            break;
        case 3:
            testBroj = c+a+b;
            break;
        case 4:
            testBroj = c+b+a;
            break;
        }
        iTestBroj = atoi(testBroj.c_str());

        if (iBroj<iTestBroj) iBroj = iTestBroj;
    }

    cout << iBroj;

    return 0;
}